#!/usr/bin/expect -f
set timeout -1
if {![info exists env(SUDO_PASSWORD)] || $env(SUDO_PASSWORD) eq ""} {
  puts "Missing SUDO_PASSWORD env variable."
  exit 1
}
set sudo_password $env(SUDO_PASSWORD)
set jump_host "wooo@192.168.0.110"

spawn ssh $jump_host "echo $sudo_password | sudo -S cat /etc/haproxy/haproxy.cfg || echo $sudo_password | sudo -S cat /etc/nginx/sites-enabled/agent.wooo.work.conf"
expect {
  "*assword:*" {
    send "$sudo_password\r"
    exp_continue
  }
  eof
}
